Summary: A GNU utility for secure communication and data storage.
Name: gnupg
Version: 1.0.4
Release: 11
Copyright: GPL
Group: Applications/System
Source0: ftp://ftp.gnupg.org/pub/gcrypt/gnupg/%{name}-%{version}.tar.gz
Patch0: gnupg-1.0.2-locale.patch
Patch1: gnupg-1.0.3-typos.patch
Patch2: gnupg-1.0.4-rijndael.patch
Patch3: gnupg-1.0.4-strlen.patch
Patch4: ftp://ftp.gnupg.org/pub/gcrypt/gnupg/gnupg-1.0.4.security-patch1.diff
Patch5: gnupg-1.0.4-disallow-secret.patch
URL: http://www.gnupg.org/
Provides: gpg openpgp
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).

%prep
%setup -q
%patch1 -p1 -b .typos
%patch2 -p1 -b .rijndael
#Patch3 is part of Patch4.
#%patch3 -p1 -b .strlen
%patch4 -p1 -b .security
%patch5 -p1 -b .disallow-secret

%build
%configure --enable-shared
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
%{makeinstall}
sed 's^\.\./g[0-9\.]*/^^g' tools/lspgpot > lspgpot
install -m755 lspgpot $RPM_BUILD_ROOT%{_bindir}/lspgpot

# Strip files otherwise not touched
strip $RPM_BUILD_ROOT/usr/lib/gnupg/*

%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS PROJECTS README THANKS TODO
%doc doc/DETAILS doc/FAQ doc/HACKING doc/OpenPGP doc/faq.html
%doc g*/OPTIONS g*/pubring.asc

%{_bindir}/gpg
%{_bindir}/gpgv
%{_bindir}/lspgpot
%{_datadir}/gnupg
%{_libdir}/gnupg
%{_mandir}/man1/gpg.*
%{_mandir}/man1/gpgv.*

%changelog
* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- strip binaries in /usr/lib/gnupg

* Tue Feb 27 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix the group

* Tue Dec 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- go with this version -- 1.0.4c includes a lot of changes beyond just the
  two security fixes

* Thu Dec 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- add the --allow-secret-key-import patch from CVS in case we don't get a 1.0.5

* Fri Dec  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- build as an errata for 7

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- add a security patch for a problem with detached signature verification...
  might hold off for an impending 1.0.5, though

* Thu Oct 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix a bug preventing creation of .gnupg directories

* Wed Oct 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add patch to recognize AES signatures properly (#19312)
- add gpgv to the package

* Tue Oct 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.4 to get security fix

* Tue Oct 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix man page typos (#18797)

* Thu Sep 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.3
- switch to bundled copy of the man page

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- revert locale patch (#16222)

* Tue Aug 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- set all locale data instead of LC_MESSAGES and LC_TIME (#16222)

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.2

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- include lspgpot (#13772)

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new build environment

* Fri Feb 18 2000 Bill Nottingham <notting@redhat.com>
- build of 1.0.1

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- version 1.0.0 build for 6.1us
